## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate automod

Name:           rust-automod
Version:        1.0.8
Release:        %autorelease
Summary:        Pull in every source file in a directory as a module

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/automod
Source:         %{crates_source}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Pull in every source file in a directory as a module.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Wed Mar 22 2023 Fabio Valentini <decathorpe@gmail.com> - 1.0.8-1
- Update to version 1.0.8; Fixes RHBZ#2179476

* Mon Mar 06 2023 Fabio Valentini <decathorpe@gmail.com> - 1.0.7-1
- Update to version 1.0.7; Fixes RHBZ#2175567

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Dec 20 2022 Fabio Valentini <decathorpe@gmail.com> - 1.0.6-1
- Update to version 1.0.6; Fixes RHBZ#2154556

* Tue Aug 02 2022 Fabio Valentini <decathorpe@gmail.com> - 1.0.4-1
- Update to version 1.0.4; Fixes RHBZ#2112808

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu May 12 2022 Fabio Valentini <decathorpe@gmail.com> - 1.0.3-1
- Update to version 1.0.3; Fixes RHBZ#2080675

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Oct 18 2021 Fabio Valentini <decathorpe@gmail.com> - 1.0.2-1
- Initial import (RHBZ#1998894)
